User Security Training Statuses
List all user security training statuses
List UserSecurityTrainingStatus resources for the given application.
** Headers **
Authorization: Bearer <access_token>
** Scopes **
connectors.self:read-resource
GET
List all user security training statuses
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
Response
200 - application/json
List of resources.
Previous
Sync all user security training statusesTo send us data related to security trainings, you send us `UserSecurityTrainingStatus` resources. This helps us determine whether users have completed their security and compliance trainings in a timely manner.
This call replaces ALL existing `UserSecurityTrainingStatus` resources for the given app and `source_id` - this is a "state of the world" sync. In other words, if a `UserSecurityTrainingStatus` resource is sent for a user in a previous `sync_all` call, but is not included in a later `sync_all` call for that customer, it is assumed to no longer exist and is deleted in Vanta.
** Headers **
```
Authorization: Bearer <access_token>
```
** Scopes **
```
connectors.self:write-resource
```
** Schema **
Expand the `resources` array below for the schema of `UserSecurityTrainingStatus`.
Next
List all user security training statuses